<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FFCF05=19</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@FFE548=A0</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shields PL1">
    <script state="run">
      <action>maincpu.pb@FFE55E=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL1"> <comment>Get the blaster first</comment>
    <script state="run">
      <action>maincpu.pb@FFE5BD=A0</action>
    </script>
  </cheat>

  <cheat desc="Always Death Blossom PL1">
    <script state="run">
      <action>maincpu.pb@FFE55C=80|(maincpu.pb@FFE55C BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Always Blaster PL1">
    <script state="run">
      <action>maincpu.pb@FFE55C=40|(maincpu.pb@FFE55C BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc="Always Power Shots PL1">
    <script state="run">
      <action>maincpu.pb@FFE55C=20|(maincpu.pb@FFE55C BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Always RipStar PL1">
    <script state="run">
      <action>maincpu.pb@FFE55C=01|(maincpu.pb@FFE55C BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Always Crystal Magnet PL1">
    <script state="run">
      <action>maincpu.pb@FFE55D=08|(maincpu.pb@FFE55D BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Always Booster PL1">
    <script state="run">
      <action>maincpu.pb@FFE55D=04|(maincpu.pb@FFE55D BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Always Cloak PL1">
    <script state="run">
      <action>maincpu.pb@FFE55D=02|(maincpu.pb@FFE55D BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Always Extra Fuel Tank PL1">
    <script state="run">
      <action>maincpu.pb@FFE55D=01|(maincpu.pb@FFE55D BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get Death Blossom Now! PL1">
    <script state="on">
      <action>maincpu.pb@FFE55C=80|(maincpu.pb@FFE55C BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Get Blaster Now! PL1">
    <script state="on">
      <action>maincpu.pb@FFE55C=40|(maincpu.pb@FFE55C BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc="Get Power Shots Now! PL1">
    <script state="on">
      <action>maincpu.pb@FFE55C=20|(maincpu.pb@FFE55C BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Get RipStar Now! PL1">
    <script state="on">
      <action>maincpu.pb@FFE55C=01|(maincpu.pb@FFE55C BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get Crystal Magnet Now! PL1">
    <script state="on">
      <action>maincpu.pb@FFE55D=08|(maincpu.pb@FFE55D BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get Booster Now! PL1">
    <script state="on">
      <action>maincpu.pb@FFE55D=04|(maincpu.pb@FFE55D BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Get Cloak Now! PL1">
    <script state="on">
      <action>maincpu.pb@FFE55D=02|(maincpu.pb@FFE55D BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Fuel Tank Now! PL1">
    <script state="on">
      <action>maincpu.pb@FFE55D=01|(maincpu.pb@FFE55D BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@FFE578=A0</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shields PL2">
    <script state="run">
      <action>maincpu.pb@FFE58E=63</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL2"> <comment>Get the blaster first</comment>
    <script state="run">
      <action>maincpu.pb@FFE5ED=A0</action>
    </script>
  </cheat>

  <cheat desc="Always Death Blossom PL2">
    <script state="run">
      <action>maincpu.pb@FFE58C=80|(maincpu.pb@FFE58C BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Always Blaster PL2">
    <script state="run">
      <action>maincpu.pb@FFE58C=40|(maincpu.pb@FFE58C BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc="Always Power Shots PL2">
    <script state="run">
      <action>maincpu.pb@FFE58C=20|(maincpu.pb@FFE58C BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Always RipStar PL2">
    <script state="run">
      <action>maincpu.pb@FFE58C=01|(maincpu.pb@FFE58C BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Always Crystal Magnet PL2">
    <script state="run">
      <action>maincpu.pb@FFE58D=08|(maincpu.pb@FFE58D BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Always Booster PL2">
    <script state="run">
      <action>maincpu.pb@FFE58D=04|(maincpu.pb@FFE58D BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Always Cloak PL2">
    <script state="run">
      <action>maincpu.pb@FFE58D=02|(maincpu.pb@FFE58D BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Always Extra Fuel Tank PL2">
    <script state="run">
      <action>maincpu.pb@FFE58D=01|(maincpu.pb@FFE58D BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get Death Blossom Now! PL2">
    <script state="on">
      <action>maincpu.pb@FFE58C=80|(maincpu.pb@FFE58C BAND ~80)</action>
    </script>
  </cheat>

  <cheat desc="Get Blaster Now! PL2">
    <script state="on">
      <action>maincpu.pb@FFE58C=40|(maincpu.pb@FFE58C BAND ~40)</action>
    </script>
  </cheat>

  <cheat desc="Get Power Shots Now! PL2">
    <script state="on">
      <action>maincpu.pb@FFE58C=20|(maincpu.pb@FFE58C BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Get RipStar Now! PL2">
    <script state="on">
      <action>maincpu.pb@FFE58C=01|(maincpu.pb@FFE58C BAND ~01)</action>
    </script>
  </cheat>

  <cheat desc="Get Crystal Magnet Now! PL2">
    <script state="on">
      <action>maincpu.pb@FFE58D=08|(maincpu.pb@FFE58D BAND ~08)</action>
    </script>
  </cheat>

  <cheat desc="Get Booster Now! PL2">
    <script state="on">
      <action>maincpu.pb@FFE58D=04|(maincpu.pb@FFE58D BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc="Get Cloak Now! PL2">
    <script state="on">
      <action>maincpu.pb@FFE58D=02|(maincpu.pb@FFE58D BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Get Extra Fuel Tank Now! PL2">
    <script state="on">
      <action>maincpu.pb@FFE58D=01|(maincpu.pb@FFE58D BAND ~01)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
